﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.ComponentModel;
using System.Windows;

namespace WpfApplication2 {
	public partial class Window1 : Window {
		string path = Path.GetFullPath(@"settings.xml");

		public Window1() {
			InitializeComponent();
		}

		private void Window_Loaded(object sender, RoutedEventArgs e) {
			List<Book> list = new List<Book>();
			list.Add(new Book() { Code = "123456", Title="Title" });
			this.xamDataGrid.DataSource = list;
			if (File.Exists(path)) {
				using (FileStream fs = File.OpenRead(path)) {
					this.xamDataGrid.LoadCustomizations(fs);
				}
			}
		}

		private void Window_Closed(object sender, EventArgs e) {
			using (FileStream fs = File.Open(path, FileMode.Create)) {
				this.xamDataGrid.SaveCustomizations(fs);
			}
		}
	}

	public class Book {
		public string Code { get; set; }
		public string Title { get; set; }
	}
}
